/**
 * @file methods/cf/decomposition_policies/decomposition_policies.hpp
 * @author Ryan Curtin
 *
 * Convenience include for all decomposition policies implemented for CF.
 *
 * mlpack is free software; you may redistribute it and/or modify it under the
 * terms of the 3-clause BSD license.  You should have received a copy of the
 * 3-clause BSD license along with mlpack.  If not, see
 * http://www.opensource.org/licenses/BSD-3-Clause for more information.
 */
#ifndef MLPACK_METHODS_CF_DECOMPOSITION_POLICIES_DECOMPOSITION_POLICIES_HPP
#define MLPACK_METHODS_CF_DECOMPOSITION_POLICIES_DECOMPOSITION_POLICIES_HPP

#include "batch_svd_method.hpp"
#include "bias_svd_method.hpp"
#include "nmf_method.hpp"
#include "randomized_svd_method.hpp"
#include "regularized_svd_method.hpp"
#include "svd_complete_method.hpp"
#include "svd_incomplete_method.hpp"
#include "svdplusplus_method.hpp"

#endif
